| Home | Libraries | People | FAQ | More

##### static_buffer::prepare

Returns a mutable buffer sequence representing writable bytes.

###### Synopsis

    mutable_buffers_type
    prepare(
        std::size_t n);

###### Description

Returns a mutable buffer sequence representing the writable bytes containing exactly `n` bytes of storage. Memory may be reallocated as needed. All buffers sequences previously obtained using `static_buffer::data` or `static_buffer::prepare` are invalidated.

###### Parameters

Name | Description
--- | ---
`n` | The desired number of bytes in the returned buffer sequence.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | if `size() + n` exceeds `max_size()`.

###### Exception Safety

Strong guarantee.